# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="JabRef"
HOMEPAGE="https://www.jabref.org"
SRC_URI="https://github.com/JabRef/jabref/releases/download/v${PV}/jabref_${PV}-1_amd64.deb"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""


S="${WORKDIR}"

src_prepare() {
	default
	unpack ../work/data.tar.xz
}

src_install() {
	insinto /
	doins -r opt

	fperms +x /opt/jabref/bin/JabRef
	dosym ../../opt/jabref/bin/JabRef /usr/bin/jabref
}
